Subject: RE: [Sip] strawman text for FASTEST proposal in outbound

From: "Kevin Johns" <[email-masked]>
Date: Thu, 30 Nov 2006 11:17:03 -0700

Christer,

The issue is not so much whether the devices can determine if a NAT is
present or not, but rather whether outbound does prohibit changing from
UDP to TCP.

I was indicating that I did not see that restriction in outbound. I went
back and took another look and see that a flow is defined in include the
protocol and a flow toke is suppose to be unique to a flow.

These two imply a one to one relationship between a flow and a flow
token. Given this, I can now see a restriction as a flow token can only
identify a single flow, which would be UDP and thus prohibit a
connection reuse scenario for a UA initiated TCP connection or a Edge
Proxy TCP initiated connection.

This relationship may need to be revisited based on some of the
mid-dialog solutions being proposed.

Kevin

-----Original Message-----
From: Christer Holmberg (JO/LMF) [mailto:[email-masked]]

Sent: Thursday, November 30, 2006 1:28 AM
To: Kevin Johns; Rohan Mahy; Francois Audet
Cc: SIP WG; Cullen Jennings; Rohan Mahy
Subject: RE: [Sip] strawman text for FASTEST proposal in outbound

Hi, 

>I am in favor of FASTEST, however I am not sure the text being proposed

>is necessary. How does outbound prohibit the change to TCP?
> 
>This seems to be an issue of how the algorithm for generating the flow 
>token is implemented and those in outbound are informational from my 
>reading. Thus, as long as the edge proxy utilizes an algorithm which 
>generates a flow token which resolves to a source IP and Port and 
>Destination IP and Port the edge proxy would be free to determine which

>transport protocol to use.
> 
>If a NAT is present, the UA will need to establish both a UDP and TCP 
>flow to the edge proxy to allow inbound requests on either. If a NAT is

>not present, then the UA need only establish one flow as the edge proxy

>can initial the other flow if needed.

How does the UA knows whether there is a NAT or not? How does the edge
proxy knows whether there is a NAT or not?

Regards,

Christer

>  
> 
> -----Original Message-----
> From: Rohan Mahy [mailto:[email-masked]]
> Sent: Tuesday, November 21, 2006 6:15 PM
> To: Francois Audet
> Cc: SIP WG; Cullen Jennings; Rohan Mahy
> Subject: Re: [Sip] strawman text for FASTEST proposal in outbound
> 
> Hi Francois,
> 
> On 11/21/06, Francois Audet <[email-masked]> wrote:
> >
> > > To make the discussion about the outbound transport issues more 
> > > concrete, here is some strawman text for the "FASTEST" direction.
> > >
> > > thanks,
> > > -rohan
> > >
> > > PROPOSED TEXT:
> > > Use of outbound with UDP flows prevents messages larger than 1300 
> > > bytes from being delivered using TCP as described in
> >                                         ^^^
> >                                 Shouldn't this say "UDP"?
> 
> No.  Outbound using UDP flows prevents the switchover to a 
> congestion-controlled transport, such as TCP as described in this 
> quote from RFC 3261:
> 
>     If a request is within 200 bytes of the path MTU, or if it is 
> larger than 1300 bytes and the path MTU is unknown, the request MUST 
> be sent using an RFC 2914 [36] congestion controlled transport 
> protocol, such as TCP. If this causes a change in the transport 
> protocol from the one indicated in the top Via, the value in the top 
> Via MUST be changed. This prevents fragmentation of messages over UDP 
> and provides congestion control for larger messages.
> 
> thanks,
> -rohan
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip